Light Locker preferences wount start

Bug #1602639 reported by LinuxFreak on 2016-07-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
light-locker-settings (Ubuntu)
Undecided
Unassigned
lubuntu-control-center (Ubuntu)
Undecided
Unassigned
lxsession (Ubuntu)
Undecided
Unassigned

Bug Description

Hello,

on a new Lubuntu 16.04 32 Bit with Kernel 4.4.0.28-generic 47
at Start/Preferences/Light-Locker-settings
woun't start after clicking on it.

In a terminal trying to start /usr/bin/ligth-locker-settings

a bunch of errors were appearing.
/usr/bin$ ./light-locker-settings

** (light-locker-settings.py:6490): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
/usr/share/light-locker-settings/light-locker-settings/light-locker-settings.py:29: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, GLib, Gio
Traceback (most recent call last):
  File "/usr/share/light-locker-settings/light-locker-settings/light-locker-settings.py", line 697, in <module>
    main = LightLockerSettings()
  File "/usr/share/light-locker-settings/light-locker-settings/light-locker-settings.py", line 98, in __init__
    self.init_settings()
  File "/usr/share/light-locker-settings/light-locker-settings/light-locker-settings.py", line 454, in init_settings
    if self.check_running_process("xfce4-power-manager"):
  File "/usr/share/light-locker-settings/light-locker-settings/light-locker-settings.py", line 219, in check_running_process
    for pid in psutil.get_pid_list():
AttributeError: 'module' object has no attribute 'get_pid_list'

regards AP

LinuxFreak (bwvienna) on 2016-07-13
tags: added: ligth-locker
description: updated
description: updated
tags: added: light-locker package
removed: ligth-locker
LinuxFreak (bwvienna) wrote :

OK,
The Bug was reported at #1559735 by Tim Schaf. The patch worked for me (32 Bit Lubuntu 16.04)
But who (or how?) will put the make available for sudo apt-get update?

regards AP

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers